EstimateEnergy

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Note:

  • This API is closed by default. To enable this interface, both the vm.estimateEnergy and vm.supportConstant configuration items must be activated simultaneously in the node configuration file.
  • estimateEnergy performs an estimation only; it does not generate an on-chain transaction or alter the current node's status. The energy_required field in its returned value represents the estimated energy amount, allowing the transaction's fee_limit to be set as energy_required X energy unit price.
  • While the triggerconstantcontract API is sufficient for estimating the energy consumption of calling most on-chain smart contracts (e.g., USDD, BTT, TUSD), the estimateEnergy API offers greater accuracy when estimating the energy consumption for a small number of special contracts. Furthermore, the energy estimate returned by estimateEnergy is guaranteed to be sufficient for setting the transaction's fee_limit.
  • Parameter encoding and decoding: Parameter and return value encoding and decoding

Returns

FieldTypeDescription
resultObjectResult of the contract execution simulation.
result.resultboolWhether the estimation was successful.
result.coderesponse_code(enum)Response code indicating the error type. (Returned only on failure)
result.messagestringResponse message describing the error details. (Returned only on failure)
energy_requiredint64Estimated Energy required to execute the transaction.
Body Params
string
required
string
required
string
string
string
int64
int64
int64
boolean
Defaults to true
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json